logging:
  level:
    root: INFO
management:
  health:
    db:
      enabled: false
my:
  quartzScan: true
server:
  compression:
    enabled: true
    min-response-size: 1
  connection-timeout: 5000
  port: 8080
  servlet:
    context-path: /blueland-plateform-web
    session:
      cookie:
        name: blueland-plateform-web
  tomcat:
    uri-encoding: UTF-8
spring:
  aop:
    auto: true
  datasource:
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      initial-size: 1
      max-active: 20
      min-idle: 1
      test-on-borrow: true
    type: com.alibaba.druid.pool.DruidDataSource
  http:
    encoding:
      charset: UTF-8
      enabled: true
      force: true
  main:
    allow-bean-definition-overriding: true
  profiles:
    active: dev
mybatis-plus:
  mapperPackage: com.blueland.dao
  mapperLocations: classpath*:com/blueland/mapper/*Mapper.xml
  typeAliasesPackage: com.blueland
  checkConfigLocation: false
  executorType: SIMPLE
  configuration:
    mapUnderscoreToCamelCase: true
    aggressiveLazyLoading: true
    autoMappingBehavior: PARTIAL
    autoMappingUnknownColumnBehavior: NONE
    localCacheScope: SESSION
    cacheEnabled: false
    logImpl: org.apache.ibatis.logging.nologging.NoLoggingImpl
  global-config:
    banner: true
    enableSqlRunner: false
    dbConfig:
      idType: AUTO
      tableUnderline: true
      capitalMode: false
      logicDeleteValue: 2
      logicNotDeleteValue: 0
      insertStrategy: NOT_NULL
      updateStrategy: NOT_NULL
      where-strategy: NOT_NULL
